import type {
  EventAnonCredsCredentialRequestGetAllInput,
  EventAnonCredsCredentialRequestGetById,
  EventAnonCredsCredentialRequestGetByIdInput,
} from '@ocm/shared';

import { Inject, Injectable } from '@nestjs/common';
import { ClientProxy } from '@nestjs/microservices';
import { EventAnonCredsCredentialRequestGetAll } from '@ocm/shared';
import { map } from 'rxjs';

import { NATS_CLIENT } from '../common/constants.js';

@Injectable()
export class CredentialRequestsService {
  public constructor(
    @Inject(NATS_CLIENT) private readonly natsClient: ClientProxy,
  ) {}

  public findCredentialRequests(tenantId: string) {
    return this.natsClient
      .send<
        EventAnonCredsCredentialRequestGetAll,
        EventAnonCredsCredentialRequestGetAllInput
      >(EventAnonCredsCredentialRequestGetAll.token, { tenantId })
      .pipe(map(({ data }) => data));
  }

  public getCredentialRequestById(
    tenantId: string,
    credentialRequestId: string,
  ) {
    return this.natsClient
      .send<
        EventAnonCredsCredentialRequestGetById,
        EventAnonCredsCredentialRequestGetByIdInput
      >(EventAnonCredsCredentialRequestGetAll.token, {
        tenantId,
        credentialRequestId,
      })
      .pipe(map(({ data }) => data));
  }
}
