import type { BaseEventInput } from './baseEvents.js';
import type { AnonCredsCredentialRequest } from '@aries-framework/anoncreds';

import { BaseEvent } from './baseEvents.js';

export type EventAnonCredsCredentialRequestGetAllInput = BaseEventInput;

export class EventAnonCredsCredentialRequestGetAll extends BaseEvent<
  Array<AnonCredsCredentialRequest>
> {
  public static token = 'anoncreds.credentialRequests.getAll';

  public get instance() {
    return this.data;
  }

  public static fromEvent(e: EventAnonCredsCredentialRequestGetAll) {
    return new EventAnonCredsCredentialRequestGetAll(
      e.data,
      e.tenantId,
      e.id,
      e.type,
      e.timestamp,
    );
  }
}

export type EventAnonCredsCredentialRequestGetByIdInput = BaseEventInput & {
  credentialRequestId: string;
};

export class EventAnonCredsCredentialRequestGetById extends BaseEvent<AnonCredsCredentialRequest | null> {
  public static token = 'anoncreds.credentialRequests.getById';

  public get instance() {
    return this.data;
  }

  public static fromEvent(e: EventAnonCredsCredentialRequestGetById) {
    return new EventAnonCredsCredentialRequestGetById(
      e.data,
      e.tenantId,
      e.id,
      e.type,
      e.timestamp,
    );
  }
}
